.place-right {
    display: flex;
    flex-direction: column;
    align-items: center;

    @include tablet_size {
        align-items: flex-end;
    }

    .dark-mode-button {
        width: 3rem;
        margin-top: 3rem;
        margin-bottom: 3rem;
        filter: invert(100%); // Invert color from black to white

        &:hover {
            cursor: pointer;
        }

        @include tablet_size {
            margin-top: 0;
        }
    }
}

.bar {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 3rem;
    @include tablet_size {
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-end;
    }
}

.nav-area {
    //display: none;  // Do not display navigation items for small sizes, display hamburguer menu instead
    // We use visibility instead of display since visibility can be animated and display can't.
    visibility: hidden; // Hide using visibility
    transition: visibility .3s ease-in-out, opacity 0.5s linear, height 0.5s linear; // Animate hide-show transition delaying the changes on visibility, opacity and height
    opacity: 0; // Hide making it transparent
    height: 0; // When the 'show' class is not present (hamburger menu not clicked) and the size is small => do not take up space
    @include tablet_size {
        display: flex;
        align-items: center;
        visibility: visible;
        opacity: 1;
        height: auto;
    }

    a {
        color: $my-white;
        text-decoration: none;
        font-size: 2.2rem;
        display: block;
        text-align: center;

        @include tablet_size {
            margin-right: 2rem;
            font-size: 1.8rem;
            &:last-of-type {
                margin-right: 0;
            }
        }
    }
}

.mobile-menu {
    @include tablet_size {
        display: none;
    }

    img {
        width: 5rem;
    }
}

.show {             // if the nav element has this class, the nav-area will be showned, if it does not, it will be hidden.
    //display: block; 
    //display: flex;          //  With display flex and flex direcion column, the elements on the nav area will be one on top of each other
    //flex-direction: column; //  in a column. However, this will remain this way when the sites becomes large again. We wanted them displayed
    //@include tablet_size {  //  in a row for this size, which can be accomplished by changing the flex-direction to 'row' in the media querie. 
    //    flex-direction: row;
    //}
    visibility: visible;
    opacity: 1;
    height: auto;
}